#pragma once
#include <unordered_map>
#include "../base/interface.hpp"

namespace lsp::provider::text_document
{
    class CodeAction : public IRequestProvider
    {
    public:
        CodeAction() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
